org.eclipse.rdf4j.model.vocabulary

## Class DOAP

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.DOAP

-     public class DOAP
      extends Object

  Constants for DOAP primitives and for the DOAP namespace.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `BLOG`
    `static IRI` | `BUG_DATABASE`
    `static IRI` | `CATEGORY`
    `static IRI` | `CREATED`
    `static IRI` | `DESCRIPTION`
    `static IRI` | `DEVELOPER`
    `static IRI` | `DOCUMENTER`
    `static IRI` | `DOWNLOAD_PAGE`
    `static IRI` | `HOMEPAGE`
    `static IRI` | `IMPLEMENTS`
    `static IRI` | `LICENSE`
    `static IRI` | `MAILING_LIST`
    `static IRI` | `MAINTAINER`
    `static IRI` | `NAME` Properties
    `static String` | `NAMESPACE` The DOAP namespace: http://usefulinc.com/ns/doap#
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the DOAP namespace.
    `static IRI` | `OLD_HOMEPAGE`
    `static String` | `PREFIX` The recommended prefix for the DOAP namespace: "doap"
    `static IRI` | `PROGRAMMING_LANGUAGE`
    `static IRI` | `PROJECT` Classes
    `static IRI` | `RELEASE`
    `static IRI` | `VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DOAP()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      The recommended prefix for the DOAP namespace: "doap"
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final String NAMESPACE

      The DOAP namespace: http://usefulinc.com/ns/doap#
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the DOAP namespace.

    - #### PROJECT

          public static final IRI PROJECT

      Classes

    - #### VERSION

          public static final IRI VERSION

    - #### NAME

          public static final IRI NAME

      Properties

    - #### HOMEPAGE

          public static final IRI HOMEPAGE

    - #### OLD_HOMEPAGE

          public static final IRI OLD_HOMEPAGE

    - #### LICENSE

          public static final IRI LICENSE

    - #### DESCRIPTION

          public static final IRI DESCRIPTION

    - #### PROGRAMMING_LANGUAGE

          public static final IRI PROGRAMMING_LANGUAGE

    - #### IMPLEMENTS

          public static final IRI IMPLEMENTS

    - #### CATEGORY

          public static final IRI CATEGORY

    - #### DOWNLOAD_PAGE

          public static final IRI DOWNLOAD_PAGE

    - #### MAILING_LIST

          public static final IRI MAILING_LIST

    - #### BUG_DATABASE

          public static final IRI BUG_DATABASE

    - #### BLOG

          public static final IRI BLOG

    - #### DEVELOPER

          public static final IRI DEVELOPER

    - #### MAINTAINER

          public static final IRI MAINTAINER

    - #### DOCUMENTER

          public static final IRI DOCUMENTER

    - #### RELEASE

          public static final IRI RELEASE

    - #### CREATED

          public static final IRI CREATED

  - ### Constructor Detail

    - #### DOAP

          public DOAP()

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.